Bug 1009637 - duplicate openstack-config --set /etc/swift/swift.conf line
duplicate openstack-config --set /etc/swift/swift.conf line
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: RHOS Documentation Team
ecs-bugs
: Documentation, Reopened
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-09-18 14:55 EDT by Robert Harker
Modified: 2014-01-05 23:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 15807, Installation and Configuration Guide-null-1 Build Date: 08-08-2013 15:00:52 Topic ID: 16783-472350 [Latest]
Last Closed: 2014-01-05 23:25:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Harker 2013-09-18 14:55:33 EDT
Title: Configuring the Object Storage Service Storage Nodes

Describe the issue:
Duplicate line
# openstack-config --set /etc/swift/swift.conf swift-hash swift_hash_path_suffix $(openssl rand -hex 10)

Suggestions for improvement:
Only one line?

Additional information:
Comment 1 Stephen Gordon 2013-09-18 15:07:56 EDT
The two lines are not actually identical. As suggested in the preceding text one sets the value of swift_hash_path_prefix and the other sets the value of swift_hash_path_suffix.
Comment 3 Robert Harker 2013-09-19 15:01:54 EDT
Can the prefix and suffix parts of the commands be emboldened (is that really a word?)

I stared at the two lines multiple times and did not see the difference.  If I made this mistake, someone else will also.
Comment 4 Stephen Gordon 2013-09-19 15:24:30 EDT
Per email we typically don't use <emphasis> in this way. Instead I would suggest:

a) Splitting the two commands into separate steps and associated <screen> boxes.

b) Using one or more continuation characters to split the lines down a little. E.g.:

# openstack-config --set /etc/swift/swift.conf \
                         swift-hash \
                         swift_hash_path_suffix \
                         $(openssl rand -hex 10)

I imagine in the PDF these lines don't fit on the page anyway so inclusion of the continuations is probably advisable to fix that as well.
Comment 5 Stephen Gordon 2013-09-19 15:45:51 EDT
In the lead up sentence (or sentences if split into two steps) it may also be worth highlighting which configuration key relates to each item. So for example this:

Use the <command>openstack-config</command> command to add a hash prefix and suffix to your <filename>/etc/swift.conf</filename>. 

Would become:

Use the <command>openstack-config</command> command to add a hash prefix (<literal>swift_hash_path_prefix</literal>) and suffix (<literal>swift_hash_path_suffix</literal>)to your <filename>/etc/swift.conf</filename>.

Note You need to log in before you can comment on or make changes to this bug.